package com.huimv.env.input.config;

import com.huimv.env.common.utils.Const;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.Queue;
import org.springframework.amqp.core.TopicExchange;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Configuration
public class TopicRabbitMQConfig {
    //原始数据队列
    @Bean
    public Queue tempQueue() {
        return new Queue(Const.QUEUE_TEMP);
    }
    @Bean
    public Queue humiQueue() {
        return new Queue(Const.QUEUE_HUMI);
    }
    @Bean
    public Queue ammoniaQueue() {
        return new Queue(Const.QUEUE_AMMONIA);
    }


    //原始交换机
    @Bean
    TopicExchange tempExchange() {
        return new TopicExchange(Const.EXCHANGE_TEMP);
    }
    @Bean
    TopicExchange humiExchange() {
        return new TopicExchange(Const.EXCHANGE_HUMI);
    }
    @Bean
    TopicExchange ammoniaExchange() {
        return new TopicExchange(Const.EXCHANGE_AMMONIA);
    }

    //绑定关系
    @Bean
    Binding bindingTempExchangeMessage() {
        return BindingBuilder.bind(tempQueue()).to(tempExchange()).with(Const.ROUTING_KEY_TEMP);
    }
    @Bean
    Binding bindingHumiExchangeMessage() {
        return BindingBuilder.bind(humiQueue()).to(humiExchange()).with(Const.ROUTING_KEY_HUMI);
    }
    @Bean
    Binding bindingAmmoniaExchangeMessage() {
        return BindingBuilder.bind(ammoniaQueue()).to(ammoniaExchange()).with(Const.ROUTING_KEY_AMMONIA);
    }

}
